curl --request POST \
--url https://preview.intermezzo.ai/organizations/{organization_id}/contacts/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"name": "<string>",
"email": "jsmith@example.com",
"phone": {
"phoneNumber": "<string>",
"phoneType": "mobile"
},
"roles": []
}
]
'{
"total": 123,
"succeeded": 123,
"failed": 123,
"unprocessed": 123,
"data": [
{
"name": "<string>",
"id": "<string>",
"email": "jsmith@example.com",
"phone": {
"phoneNumber": "<string>",
"phoneType": "mobile"
},
"roles": []
}
],
"errors": [
{
"inputIndex": 123,
"errors": [
{
"code": "ADDRESS_NOT_FOUND",
"message": "<string>",
"field": "<string>",
"params": {}
}
]
}
]
}Create multiple contacts and attach them to an organization.
curl --request POST \
--url https://preview.intermezzo.ai/organizations/{organization_id}/contacts/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"name": "<string>",
"email": "jsmith@example.com",
"phone": {
"phoneNumber": "<string>",
"phoneType": "mobile"
},
"roles": []
}
]
'{
"total": 123,
"succeeded": 123,
"failed": 123,
"unprocessed": 123,
"data": [
{
"name": "<string>",
"id": "<string>",
"email": "jsmith@example.com",
"phone": {
"phoneNumber": "<string>",
"phoneType": "mobile"
},
"roles": []
}
],
"errors": [
{
"inputIndex": 123,
"errors": [
{
"code": "ADDRESS_NOT_FOUND",
"message": "<string>",
"field": "<string>",
"params": {}
}
]
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.intermezzo.ai/llms.txt
Use this file to discover all available pages before exploring further.
Get token from Auth0 and paste it here
Successful Response
Total number of records in the request
Number of successfully processed records
Number of failed records
Number of records that passed validation but were not processed
Successfully processed records
Show child attributes
Failed records with error details
Show child attributes
Was this page helpful?